// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from rcss3d_agent_msgs:msg/AgentState.idl
// generated code does not contain a copyright notice

#ifndef RCSS3D_AGENT_MSGS__MSG__DETAIL__AGENT_STATE__STRUCT_H_
#define RCSS3D_AGENT_MSGS__MSG__DETAIL__AGENT_STATE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Struct defined in msg/AgentState in the package rcss3d_agent_msgs.
/**
  * Information about the internal state of the agent. It reports information about the current
  * battery status and the temperature of the agent.
 */
typedef struct rcss3d_agent_msgs__msg__AgentState
{
  /// Degrees Celsius
  float temp;
  /// Percentile
  float battery;
} rcss3d_agent_msgs__msg__AgentState;

// Struct for a sequence of rcss3d_agent_msgs__msg__AgentState.
typedef struct rcss3d_agent_msgs__msg__AgentState__Sequence
{
  rcss3d_agent_msgs__msg__AgentState * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} rcss3d_agent_msgs__msg__AgentState__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // RCSS3D_AGENT_MSGS__MSG__DETAIL__AGENT_STATE__STRUCT_H_
