// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from rcss3d_agent_msgs:msg/UniversalJointVel.idl
// generated code does not contain a copyright notice

#ifndef RCSS3D_AGENT_MSGS__MSG__DETAIL__UNIVERSAL_JOINT_VEL__STRUCT_H_
#define RCSS3D_AGENT_MSGS__MSG__DETAIL__UNIVERSAL_JOINT_VEL__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'name'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/UniversalJointVel in the package rcss3d_agent_msgs.
/**
  * Effector for all axis with a two degrees of freedom. The first parameter is the name of the axis.
  * The second and third parameters contain the change in angle of the two joints. The order of the
  * joints is the same as in the name.
 */
typedef struct rcss3d_agent_msgs__msg__UniversalJointVel
{
  /// The name of the corresponding hinge joint
  rosidl_runtime_c__String name;
  /// The angular velocity of the first axis in radians per second
  float ax1;
  /// The angular velocity of the second axis in radians per second
  float ax2;
} rcss3d_agent_msgs__msg__UniversalJointVel;

// Struct for a sequence of rcss3d_agent_msgs__msg__UniversalJointVel.
typedef struct rcss3d_agent_msgs__msg__UniversalJointVel__Sequence
{
  rcss3d_agent_msgs__msg__UniversalJointVel * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} rcss3d_agent_msgs__msg__UniversalJointVel__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // RCSS3D_AGENT_MSGS__MSG__DETAIL__UNIVERSAL_JOINT_VEL__STRUCT_H_
