// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from rcss3d_agent_msgs:msg/Vision.idl
// generated code does not contain a copyright notice

#ifndef RCSS3D_AGENT_MSGS__MSG__DETAIL__VISION__TRAITS_HPP_
#define RCSS3D_AGENT_MSGS__MSG__DETAIL__VISION__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "rcss3d_agent_msgs/msg/detail/vision__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

// Include directives for member types
// Member 'ball'
#include "rcss3d_agent_msgs/msg/detail/ball__traits.hpp"
// Member 'field_lines'
#include "rcss3d_agent_msgs/msg/detail/field_line__traits.hpp"
// Member 'flags'
#include "rcss3d_agent_msgs/msg/detail/flag__traits.hpp"
// Member 'goalposts'
#include "rcss3d_agent_msgs/msg/detail/goalpost__traits.hpp"
// Member 'players'
#include "rcss3d_agent_msgs/msg/detail/player__traits.hpp"

namespace rcss3d_agent_msgs
{

namespace msg
{

inline void to_flow_style_yaml(
  const Vision & msg,
  std::ostream & out)
{
  out << "{";
  // member: ball
  {
    if (msg.ball.size() == 0) {
      out << "ball: []";
    } else {
      out << "ball: [";
      size_t pending_items = msg.ball.size();
      for (auto item : msg.ball) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
    out << ", ";
  }

  // member: field_lines
  {
    if (msg.field_lines.size() == 0) {
      out << "field_lines: []";
    } else {
      out << "field_lines: [";
      size_t pending_items = msg.field_lines.size();
      for (auto item : msg.field_lines) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
    out << ", ";
  }

  // member: flags
  {
    if (msg.flags.size() == 0) {
      out << "flags: []";
    } else {
      out << "flags: [";
      size_t pending_items = msg.flags.size();
      for (auto item : msg.flags) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
    out << ", ";
  }

  // member: goalposts
  {
    if (msg.goalposts.size() == 0) {
      out << "goalposts: []";
    } else {
      out << "goalposts: [";
      size_t pending_items = msg.goalposts.size();
      for (auto item : msg.goalposts) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
    out << ", ";
  }

  // member: players
  {
    if (msg.players.size() == 0) {
      out << "players: []";
    } else {
      out << "players: [";
      size_t pending_items = msg.players.size();
      for (auto item : msg.players) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const Vision & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: ball
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.ball.size() == 0) {
      out << "ball: []\n";
    } else {
      out << "ball:\n";
      for (auto item : msg.ball) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }

  // member: field_lines
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.field_lines.size() == 0) {
      out << "field_lines: []\n";
    } else {
      out << "field_lines:\n";
      for (auto item : msg.field_lines) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }

  // member: flags
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.flags.size() == 0) {
      out << "flags: []\n";
    } else {
      out << "flags:\n";
      for (auto item : msg.flags) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }

  // member: goalposts
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.goalposts.size() == 0) {
      out << "goalposts: []\n";
    } else {
      out << "goalposts:\n";
      for (auto item : msg.goalposts) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }

  // member: players
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.players.size() == 0) {
      out << "players: []\n";
    } else {
      out << "players:\n";
      for (auto item : msg.players) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const Vision & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace msg

}  // namespace rcss3d_agent_msgs

namespace rosidl_generator_traits
{

[[deprecated("use rcss3d_agent_msgs::msg::to_block_style_yaml() instead")]]
inline void to_yaml(
  const rcss3d_agent_msgs::msg::Vision & msg,
  std::ostream & out, size_t indentation = 0)
{
  rcss3d_agent_msgs::msg::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use rcss3d_agent_msgs::msg::to_yaml() instead")]]
inline std::string to_yaml(const rcss3d_agent_msgs::msg::Vision & msg)
{
  return rcss3d_agent_msgs::msg::to_yaml(msg);
}

template<>
inline const char * data_type<rcss3d_agent_msgs::msg::Vision>()
{
  return "rcss3d_agent_msgs::msg::Vision";
}

template<>
inline const char * name<rcss3d_agent_msgs::msg::Vision>()
{
  return "rcss3d_agent_msgs/msg/Vision";
}

template<>
struct has_fixed_size<rcss3d_agent_msgs::msg::Vision>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<rcss3d_agent_msgs::msg::Vision>
  : std::integral_constant<bool, false> {};

template<>
struct is_message<rcss3d_agent_msgs::msg::Vision>
  : std::true_type {};

}  // namespace rosidl_generator_traits

#endif  // RCSS3D_AGENT_MSGS__MSG__DETAIL__VISION__TRAITS_HPP_
